Package org.eclipse.emf.cdo.spi.common.revision

# Enum Class RevisionInfo.Type

java.lang.Object
java.lang.Enum<RevisionInfo.Type>
org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<RevisionInfo.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `RevisionInfo`

public static enum RevisionInfo.Type extends Enum<RevisionInfo.Type>
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AVAILABLE_DETACHED`
`AVAILABLE_NORMAL`
`AVAILABLE_POINTER`
`MISSING`

## Method Summary

Modifier and Type
Method
Description
`static RevisionInfo.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RevisionInfo.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AVAILABLE_NORMAL

public static final RevisionInfo.Type AVAILABLE_NORMAL

### AVAILABLE_POINTER

public static final RevisionInfo.Type AVAILABLE_POINTER

### AVAILABLE_DETACHED

public static final RevisionInfo.Type AVAILABLE_DETACHED

### MISSING

public static final RevisionInfo.Type MISSING

## Method Details

### values

public static RevisionInfo.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RevisionInfo.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null